Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.trycomp.ai/v1/isms/documents/{id}/submit-for-approval \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "approverId": "mem_abc123def456" } '
const options = { method: 'POST', headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({approverId: 'mem_abc123def456'})};fetch('https://api.trycomp.ai/v1/isms/documents/{id}/submit-for-approval', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requestsurl = "https://api.trycomp.ai/v1/isms/documents/{id}/submit-for-approval"payload = { "approverId": "mem_abc123def456" }headers = { "X-API-Key": "<api-key>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
Submit an ISMS document for approval in Comp AI.
API key for authentication
Member ID of the approver to submit the ISMS to
"mem_abc123def456"
Document submitted for approval
Was this page helpful?